Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 366147 - dev-perl/Fuse version bump request
Summary: dev-perl/Fuse version bump request
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-05 22:05 UTC by Alex Belykh
Modified: 2013-06-09 16:48 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Proposed Fuse-0.10.1.ebuild (Fuse-0.10.1.ebuild,678 bytes, text/plain)
2011-05-05 22:10 UTC, Alex Belykh
Details
Fuse-0.10.1-fuse_compat.patch for proposed ebuild. (Fuse-0.10.1-fuse_compat.patch,1.21 KB, patch)
2011-05-05 22:15 UTC, Alex Belykh
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Belykh 2011-05-05 22:05:57 UTC
Please add dev-perl/Fuse-0.10.1 to portage tree.

Homepage: http://search.cpan.org/~dpavlin/Fuse/

Reproducible: Always
Comment 1 Alex Belykh 2011-05-05 22:10:22 UTC
Created attachment 272229 [details]
Proposed Fuse-0.10.1.ebuild

I've failed to make the most recent Fuse-0.11 compile under Gentoo, but Fuse-0.10.1 can be easily built, requiring only minor compilation fix.
Comment 2 Alex Belykh 2011-05-05 22:15:02 UTC
Created attachment 272231 [details, diff]
Fuse-0.10.1-fuse_compat.patch for proposed ebuild.

This patch fixes a compilation issue, where ld, if passed --as-needed option,  links Fuse.so with improperly versioned symbols, which results in runtime failures.
Comment 3 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2013-06-09 16:48:22 UTC
Current unstable version in cvs - 0.15

Closed.